Sign in to follow this  
Followers 0
xavier971

737 NGX P3D V3.4

2 posts in this topic

Hi,

i just have purchase pmdg 737NGX i have P3D V3.4 when i try to install for 

the installation stop because i have to update P3D V3 

my version is V3.4.22.19868

what can i do ?

need help

yhank you

0

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

42 minutes ago, xavier971 said:

what can i do ?

Update P3D.

Uninstall the client. Download the new client from LM. Install the new client.

If you have the EMT installed, that could also be the cause. Remove it. Fix the damage it caused to your registry. Install the NGX.

0

Share this post


Link to post
Share on other sites
Sign in to follow this  
Followers 0